/*Track Styles*/
input[type="range"] {
    -appearance: none;
    -webkit-appearance: none;
    appearance: none;
    -moz-appearance: none;
    width: 100%;
    height: 5px;
    background: var(--bg-container-color);
    border-radius: 2px;
    outline: none;
    transition: background 0.3s;
    position: relative;
}

/* Personalizzazione del riempimento della barra (WebKit) */
input[type="range"]::-webkit-slider-runnable-track {
    height: 5px;
    border-radius: 2px;
    background: var(--bg-container-color);
    position: relative;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 5px;
    height: 5px;
    background: var(--body-text-color);
    cursor: pointer;
    position: relative;
    z-index: 2;
}

/* Colore della parte riempita su WebKit */
input[type="range"]::-webkit-slider-runnable-track {
    background: linear-gradient(to right, var(--main-text-color) var(--progress), var(--bg-container-color) var(--progress));
}

/* Per Firefox */
input[type="range"]::-moz-range-track {
    height: 5px;
    border-radius: 2px;
    background: var(--bg-container-color);
}

input[type="range"]::-moz-range-progress {
    height: 5px;
    border-radius: 2px;
    background: var(--main-text-color);
}

input[type="range"]::-moz-range-thumb {
    width: 5px;
    height: 5px;
    background: var(--body-text-color);
    cursor: pointer;
}

/* Per Edge */
input[type="range"]::-ms-track {
    height: 5px;
    border-radius: 2px;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type="range"]::-ms-fill-lower {
    background: var(--main-text-color);
    border-radius: 2px;
}

input[type="range"]::-ms-fill-upper {
    background: var(--bg-container-color);
    border-radius: 2px;
}

input[type="range"]::-ms-thumb {
    width: 5px;
    height: 5px;
    background: var(--body-text-color);
    cursor: pointer;
}

.mini-music-player .btn-group button, .music-player-commands-card .btn-group button, .music-player-commands-card div .btn-group button, .mini-music-player-mobile .btn-group button {
    color: var(--main-text-color);
    border-color: var(--main-text-color);
    border-radius: 0;
    font-size: 0.7rem;
}
.mini-music-player .btn-group button:hover, .music-player-commands-card .btn-group button:hover, .music-player-commands-card div .btn-group button:hover, .mini-music-player-mini .btn-group button:hover {
    background-color: var(--main-text-color);
    color: var(--bg-container-color);
}
.mini-music-player .btn-group button:focus, .music-player-commands-card .btn-group button:focus, .music-player-commands-card div .btn-group button:focus, .mini-music-player-mobile .btn-group button:focus {
    box-shadow: 0 0 0 .25rem var(--player-focus-color);
}
.mini-music-player .btn-group button:focus-visible, .music-player-commands-card .btn-group button:focus-visible, .music-player-commands-card div .btn-group button:focus-visible, .mini-music-player-mobile .btn-group button:focus-visible {
    box-shadow: 0 0 0 .25rem var(--player-focus-color);
}

.music-player {
    display: none;
    padding: 30px;
    align-content: center;
    max-width: 960px;
    position: absolute;
    left: 50%;
    bottom: 50%;
    transform: translateX(-50%) translateY(50%);
    background: var(--bg-color);
    border: 2px solid var(--main-text-color);
    border-radius: 15px;
    z-index: 1000;
}
@media (width < 576px) {
    .music-player {
        transform: translateX(-50%) translateY(50%) scale(70%);
    }
}
@media (height < 650px) {
    .music-player {
        transform: translateX(-50%) translateY(50%) scale(70%);
    }
}
@media (width < 992px) {
    .music-player {
        min-height: 95svh;
        min-width: 100svw;
    }
    .music-player-playlist-container {
        padding: 0;
    }
}
.music-player-commands-container {
    align-content: center;
}

.music-player-playlist-container .container-title {
    text-align: center;
}
.close-music-player {
    position: fixed;
    top: 10px;
    right: 15px;
    color: var(--main-text-color);
    cursor: pointer;
    font-size: 1.5rem;
}
.close-music-player:hover {
    color: var(--main-text-color-hover);
}

.music-player-cover {
    width: 170px;
    height: auto;
    border-radius: 8px;
}

.music-player-commands-card {
    background: var(--bg-color);
}

.track-title-container {
    width: -webkit-fill-available;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
}

.track-title {
    display: inline-block;
    position: relative;
    animation: none;
}

@keyframes bounce {
    0% {
      transform: translateX(0);
    }
    50% {
      transform: translateX(var(--translate-distance)); /* Valore dinamico */
    }
    100% {
      transform: translateX(0);
    }
}

.music-player-playlist-list {
    border-radius: 0;
    overflow-y: auto;
}
.music-player-playlist-item {
    color: var(--body-text-color);
    background-color: var(--player-item-bg-color);
    cursor: pointer;
}
.music-player-playlist-item:hover {
    background-color: var(--main-text-color-hover);
}
.music-player-playlist-item.active {
    color: var(--player-item-bg-color);
    background-color: var(--main-text-color);
    border-color: var(--main-text-color);
}

.track-queue {
    max-height: 350px;
    overflow-y: auto;
}
.item-track-attribution a {
    color: var(--body-text-color);
}

.music-player-playlist-select {
    background-color: var(--bg-color);
    color: var(--body-text-color);
    border-color: var(--main-text-color);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23aaaaaa' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}
.music-player-playlist-select:focus {
    border-color: var(--main-text-color);
    box-shadow: 0 0 0 .25rem var(--player-focus-color);
    background-color: var(--bg-color);
    color: var(--body-text-color);
}
.music-player-playlist-select option {
    background-color: var(--bg-color);
    color: var(--body-text-color);
}